title: Miaou - Documentation utilisateur - WIki - DryCat.fr
description: Une présentation du fonctionnement de Miaou pour un utilisateur.

# Documentation utilisateur de Miaou

## Introduction

[Miaou](https://miaou.drycat.fr/) est basé sur [glitch-soc](https://glitch-soc.github.io/docs/), il s'agit en fait d'un logiciel dérivé de [Mastodon](https://joinmastodon.org/), plus centré sur les attentes des utilisateurs et accompagnés de quelques fonctionnalités supplémentaires.

[Mastodon](https://joinmastodon.org/) est un réseau social de microblogging libre et open-source très similaire à Twitter, bien qu'il se distingue de celui-ci par un modèle décentralisé. Grâce à cela, vous êtes libre de vous inscrire sur «l'instance Mastodon» que vous souhaitez, celle-ci sera capable de communiquer avec le reste du réseau, appelé le Fédiverse.

## Qu'est ce que la fédération ?

La fédération est le terme clé définissant le fonctionnement de Miaou et de bon nombre de services. Grâce à la fédération il est possible de converser avec d'autres personnes qui sont présentes sur d'autres instances. Indirectement la fédération permet de réduire les coûts des services car tout n'est pas géré sur un seul serveur mais sur une multitude de serveurs de manière transparante pour l'utilisateur.  

###  Concrétement, comment cela fonctionne ?

Prenons comme exemple Julie, Maxime, Damien et Nathalie.

- Damien et Nathalie sont sur l'instance A  
- Julie est sur l'instance B
- Maxime est sur l'instance C

Damien voit ce que Nathalie poste et inversement car ils sont sur la même instance. Mais grâce à la fédération, Julie et Maxime voient également ce que Damien et Nathalie postent (et inversement).

Imaginons que l'instance A devienne indisponible (à cause d'une longue mise à jour par exemple). Damien et Nathalie ne peuvent plus accéder à la fédération. Mais Julie et Maxime peuvent toujours communiquer entre eux deux et envoyer des messages à Damien et Nathalie, qui ne recevront le message que lorsque l'instance A sera à nouveau disponible.  

## Inscription au service

Rendez vous sur la page de l'instance [Miaou.Drycat.fr](https://miaou.drycat.fr/) et remplissez le formulaire mis en évidence ci-dessous.

![](../assets/img/miaou/miaou-register.png)

Une fois cela effectué vous devriez être inscrit. Bienvenue sur le Fédiverse !

## Utilisation

### Interface

L'interface est assez similaire à celle de Twitter. Elle est organisée en différentes colonnes modulables.
Basiquement on trouve quatre colonnes (en partant de la gauche) :

- La zone de recherche et la zone de composition de vos messages
- Votre fil personnel, ici apparaissent les messages de vos abonnements
- Vos notifications (suivi, boost, favoris, nouveaux abonné⋅e⋅s, etc.)
- Et la colonne «personnalisable»

Cette dernière permet de naviguer parmis d'autres sections dont :

- Le **Fil public local** qui est le fil des utilisateurs de Miaou
- Le **Fil global** rassemble les messages publiques de la totalité des utilisateurs de Mastodon de part le monde
- Ainsi que vos favoris, comptes masqués, aide, etc.

![](../assets/img/miaou/index-page-mastodon.jpg)

(La 5ème colonne et un exemple de colonne modulable)

Vous pouvez également créer des listes qui seront des fils personnalisés comportant les toots (équivalent du tweet sur Twitter) d'utilisateurs que vous avez ajouté dans la liste. Vous pouvez également réorganiser vos différents fils et en ajouter sur l'interface en «épinglant» ceux-ci.

Différents thèmes sont disponibles dans les paramètres selon les goûts et les couleurs de chacun :)

### Tooter

!!! info
	Il est recommandé de commencer son premier toot par le tag `#introduction` et de vous y présenter aux autres membres de l'instance qui vous accueilleront chaleureusement !

Pour écrire votre premier «toot», écrivez simplement votre message dans l'encadré dédié à la composition et cliquez sur le bouton «Miaou».

Vous pouvez renseignez différents tags de la forme `#ceciestuntag` ce qui permet d'attribuer des sujets, des thématiques à vos toots, leur donnant souvent plus de visibilité.

![](../assets/img/miaou/miaou-first-toot.png)

!!! tip
	Grâce à `glitch-soc` vous pouvez même dessiner ! Sélectionnez «Draw something» après avoir cliqué sur le bouton d'ajout d'une pièce jointe. 

#### Modes de confidentialité 

Mastodon, contrairement à Twitter, permet de gérer différents modes de confidentialité.

- **Public** : Votre toot est visible par tout le monde, il apparaitra dans le fil de vos abonné⋅e⋅s, dans le fil de l'instance et dans le fil public.
- **Non listé** : Le toot sera visible publiquement sur votre profil et le fil de vos abonné⋅e⋅s mais ne sera pas visible sur le fil local et le fil public.
- **Abonné⋅e⋅s uniquement** : Explicitement, seuls vos abonné⋅e⋅s pourront voir ce toot.
- **Direct** : Ce niveau de confidentialité équivaut en fait à un message privé, ainsi seul les utilisateurs mentionnés verront ce message.
  

![](../assets/img/miaou/miaou-post-confidentiality.png)

!!! attention
    Les messages «privés» peuvent toutefois être lus par les administrateurs des instances des utilisateurs avec lesquels vous communiquez. Gardez en tête que Mastodon est un réseau social, pas un salon d'échange d'informations confidentielles !

De plus, l'utilisation de `glitch-soc` permet de définir une confidentialité particulière à vos toots : **Local-only** signifie que seuls les utilisateurs de Miaou seront capable de lire votre message.

![](../assets/img/miaou/miaou-local-only.png)

#### NSFW et Content Warning

Afin d'éviter un événement fort embarrassant dans votre lieu de travail et pour protéger les personnes que cela peut choquer, les toots comportant des images pornographiques doivent-être impérativement marqués du tag `#NSFW` (Not Safe For Work).

De même, il vous est possible de placer un avertissement sur vos messages appelés un «Content Warning», pour ce faire cliquez sur le bouton «CW» sous la boîte de composition de votre message. Vous aurez alors la possibilité de définir un avertissement sur le contenu de votre message.

### Applications

Si vous souhaitez accéder à Miaou sur votre téléphone, vous pouvez utiliser un simple navigateur web, mais il est préférable d'utiliser une application dédiée.
Les applications ci-dessous sont recommandées pour utiliser Mastodon efficacement sur votre mobile et sont disponibles sur le magasin alternatif d'applications libres [F-droid](https://f-droid.org/fr)

- [Fedilab](https://f-droid.org/fr/packages/fr.gouv.etalab.mastodon/) (anciennement Mastalab)
- [Tusky](https://f-droid.org/fr/packages/com.keylesspalace.tusky/)

Bien entendu, d'autres applications sont disponibles selon la plateforme que vous utilisez, [voir cette page](https://joinmastodon.org/apps).
!!! info
    Si vous utilisez une de ces applications et que vous souhaitez contribuer à son maintien, n'hésiter pas à faire un don à leur auteur respectif.
